# Versioning

%define qtmajor 6
%define qtminor 8
%define qtsubminor 3
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1.3

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtdoc-everywhere-src-%{qtversion}%{?pre:-%{pre}}

Name:           qtdoc6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Documentation
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Quick3D)
BuildRequires:  cmake(Qt6Quick3DPhysics)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6Pdf)
BuildRequires:  cmake(Qt6PdfWidgets)
BuildRequires:  cmake(Qt6Quick3DXr)
%endif
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6QmlIntegration)
BuildRequires:  cmake(Qt6QmlModels)
BuildRequires:  cmake(Qt6QmlXmlListModel)
BuildRequires:  cmake(Qt6Graphs)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6Positioning)
BuildRequires:  cmake(Qt6Location)
BuildRequires:  cmake(Qt6Sensors)
BuildRequires:  cmake(Qt6Charts)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6QuickTemplates2)
BuildRequires:  qt6-qtdeclarative
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  cmake(LLVM)
BuildRequires:  cmake(Clang)
BuildRequires:  qttools6-assistant
BuildRequires:  qttools6
BuildRequires:  ninja

%description
Qt%{qtmajor} Documentation.

%files
%dir %{_libdir}/qt6/examples/demos
%{_libdir}/qt6/examples/demos/calqlatr/
%{_libdir}/qt6/examples/demos/clocks/
%{_libdir}/qt6/examples/demos/coffee/
%{_libdir}/qt6/examples/demos/colorpaletteclient/
%{_libdir}/qt6/examples/demos/dice/
%{_libdir}/qt6/examples/demos/documentviewer/
%{_libdir}/qt6/examples/demos/lightningviewer/
%{_libdir}/qt6/examples/demos/maroon/
%{_libdir}/qt6/examples/demos/mediaplayer/
%{_libdir}/qt6/examples/demos/osmbuildings/
%ifarch aarch64 x86_64
%{_libdir}/qt6/examples/demos/photosurface/
%{_libdir}/qt6/examples/demos/xr_physicsbase_teleportation/
%endif
%{_libdir}/qt6/examples/demos/robotarm/
%{_libdir}/qt6/examples/demos/rssnews/
%{_libdir}/qt6/examples/demos/samegame/
%{_libdir}/qt6/examples/demos/stocqt/
%{_libdir}/qt6/examples/demos/thermostat/
%{_libdir}/qt6/examples/demos/todolist/
%{_libdir}/qt6/examples/demos/windowembedding/
%{_libdir}/qt6/examples/demos/FX_Material_Showroom/
%{_libdir}/qt6/examples/tutorials/
%{_libdir}/qt6/mkspecs/qtdoc_dummy_file.txt
%{_libdir}/qt6/sbom/qtdoc-%{qtversion}.spdx

#------------------------------------------------------------------------------

%prep
%setup -q -n qtdoc-everywhere-src-%{qtversion}

%ifarch %{arm32} %{ix86}
sed -i 's|qt_internal_add_example(xr_physicsbase|#qt_internal_add_example(xr_physicsbase|' examples/demos/CMakeLists.txt
%endif

%build
export LD_LIBRARY_PATH="$(pwd)/build/lib:${LD_LIBRARY_PATH}"
%cmake -G Ninja \
	-DQT_BUILD_EXAMPLES:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DQT_WILL_INSTALL:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON
%ninja_build -C build

%install
%ninja_install -C build


%changelog
* Wed Mar 26 2025 daviddavid <daviddavid> 6.8.3-1.3.mga10
+ Revision: 2170105
- New version 6.8.3

* Thu Dec 19 2024 daviddavid <daviddavid> 6.8.1-1.3.mga10
+ Revision: 2126448
- New version 6.8.1

* Sat Oct 05 2024 daviddavid <daviddavid> 6.7.3-1.mga10
+ Revision: 2103605
- New version 6.7.3

* Wed Jul 31 2024 daviddavid <daviddavid> 6.7.2-1.mga10
+ Revision: 2083102
- New version 6.7.2

* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072575
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Sun May 26 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2067690
- New version 6.7.1

* Sat Feb 17 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2042010
- New version 6.6.2

* Sun Oct 22 2023 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 2000167
- enable Qt6Pdf and Qt6PdfWidgets doc only on 64bit platforms

* Fri Oct 20 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999808
- New version 6.6.0

* Mon Sep 11 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1986164
- New version 6.5.2

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923042
- New version 6.4.1

* Fri Sep 30 2022 neoclust <neoclust> 6.4.0-1.mga9
+ Revision: 1893434
- New version 6.4.0

* Mon Aug 29 2022 papoteur <papoteur> 6.3.1-1.mga9
+ Revision: 1881755
- imported package qtdoc6

